## com.sun.jersey.api.client
Class Statuses

    java.lang.Object
      com.sun.jersey.api.client.Statuses

    public final class Statuses

extends java.lang.Object

Factory for producing custom JAX-RS `response status type` instances.

Author:
  Paul Sandoz

Method Summary
`static Response.StatusType` | `from(int code)` Create a new `status type` from the given code.
`static Response.StatusType` | `from(int code, java.lang.String reason)` Creates a new custom `status type` initialized from the status code and reason phrase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### from

    public static Response.StatusType from(int code)

  Create a new `status type` from the given code. Status type if firstly searched in `Response.Status` and if none is found, then a custom one is created and initialized with status code (with empty reason phrase).

  Parameters:
    `code` - Status code.
  Returns:
    Non-null value of status type.

### from

    public static Response.StatusType from(int code,
                                           java.lang.String reason)

  Creates a new custom `status type` initialized from the status code and reason phrase.

  Parameters:
    `code` - Status code.
    `reason` - Reason phrase.
  Returns:
    Non-null value of status type.

Copyright © 2017 Oracle Corporation. All Rights Reserved.